Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xcmenu: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Thu, 4 Jun 2015 12:26:28 +0000

https://github.com/Cloudef/xcmenu
Lightweight clipboard manager for X
---
 testing/xcmenu/APKBUILD            | 45 ++++++++++++++++++++++++++++++++++++++
 testing/xcmenu/include-fcntl.patch | 13 +++++++++++
 2 files changed, 58 insertions(+)
 create mode 100644 testing/xcmenu/APKBUILD
 create mode 100644 testing/xcmenu/include-fcntl.patch
diff --git a/testing/xcmenu/APKBUILD b/testing/xcmenu/APKBUILD
new file mode 100644
index 0000000..7743675
--- /dev/null
+++ b/testing/xcmenu/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer:
+pkgname=xcmenu
+pkgver=20140816
+_commit=717cd03d66ab03226c1491678e50030844b0c590
+pkgrel=0
+pkgdesc="Lightweight clipboard manager for X"
+url="https://github.com/Cloudef/xcmenu"
+arch="all"
+license="WTFPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev zlib-dev libxcb-dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/Cloudef/xcmenu/archive/$_commit.zip/$pkgname-$_commit.zip
+	include-fcntl.patch"
+
+_builddir="$srcdir/$pkgname-$_commit"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install
+}
+
+md5sums="fb4c0b9f02f716221bd626f34264460f  xcmenu-717cd03d66ab03226c1491678e50030844b0c590.zip
+bbe187d0453bf0088c857bd956acd9b4  include-fcntl.patch"
+sha256sums="8f316dc126203978c8fdaec83414be89dc63f14af59aada80f01fdf69b3e7be7  xcmenu-717cd03d66ab03226c1491678e50030844b0c590.zip
+60ce9cec1ec4eba15d3a7ef832a42154554429db81df7ae472e0f3172e304284  include-fcntl.patch"
+sha512sums="46e7bbcc3bb75d3a5d973378a37ffdb48473252e6e25b37a9802c921e0f60b0bf16929b998565f0811ef0ac2d4bcbfa6efdf83c73277b1722b1d69264d11f1dc  xcmenu-717cd03d66ab03226c1491678e50030844b0c590.zip
+c01ad7c59bc6a44e488fb3b82b061b6f8b237801eb1b1cbf9285734a3fa2e413e575a10c5215d5b56d3efbe1ee768cb12895cb3c1b75cb4146218b59361bd954  include-fcntl.patch"
diff --git a/testing/xcmenu/include-fcntl.patch b/testing/xcmenu/include-fcntl.patch
new file mode 100644
index 0000000..fa7b862
--- /dev/null
+++ b/testing/xcmenu/include-fcntl.patch
_at_@ -0,0 +1,13 @@
+Only in xcmenu-717cd03d66ab03226c1491678e50030844b0c590-patch/: config.h
+Only in xcmenu-717cd03d66ab03226c1491678e50030844b0c590-patch/: xcmenu
+--- xcmenu-717cd03d66ab03226c1491678e50030844b0c590/xcmenu.c
++++ xcmenu-717cd03d66ab03226c1491678e50030844b0c590-patch/xcmenu.c
+_at_@ -12,6 +12,7 @@
+ #include <unistd.h>
+ #include <zlib.h>
+ #include <xcb/xcb.h>
++#include <fcntl.h>
+ 
+ #ifdef XCB_UTIL
+ #  include <xcb/xcb_util.h>
+Only in xcmenu-717cd03d66ab03226c1491678e50030844b0c590-patch/: xcmenu.o
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jun 04 2015 - 12:26:28 GMT